#Grant user SUDO access to various commands
#tosuer     - used to create the SUDO_ declaration in the sudo file. (/etc/sudoers.d)
#sudocmd    - the commnd you want to grant SUDO access
#sudo_users - the users you are granting access to
#cmd_title  - what you want the file to be named 
class sudo::cmd (

  $touser,
  $sudocmd,
  $sudo_users,
  $cmd_title,
){

  include sudo

$capuser = inline_template('<%= touser.upcase %>')
notify { "type is set to ${touser}":; }

  file {"/etc/sudoers.d/sudo_${cmd_title}":
    ensure  => file,
    content => template("${module_name}/base_cmd.erb"),
  }
}

