sudo
==========
A puppet module for granting sudo access to a user or to a set of commands.

##Notes
This is the inital relase. It's built using paramterized classes, but can be altered for use with hiera. 

##Requiremnets
The base module installs or verifies that SUDO is installed.

##Usage

User Example:

class sudo::puppet (

  $touser     = 'puppet',
  $sudo_users = 'vglen',
){

$capuser = inline_template('<%= touser.upcase %>')
notify { "type is set to ${touser}":; }

  file {"/etc/sudoers.d/sudo_${touser}":
    ensure  => file,
    content => template("${module_name}/base_user.erb"),
  }
}

Command Example:

class sudo::puppet (

  $touser     = 'puppet',
  $sudocmd    = '/usr/bin/puppet agent -t',
  $sudo_users = 'vglen',
  $cmd_title  = 'puppet_run',
){

$capuser = inline_template('<%= touser.upcase %>')
notify { "type is set to ${touser}":; }

  file {"/etc/sudoers.d/sudo_${cmd_title}":
    ensure  => file,
    content => template("${module_name}/base_cmd.erb"),
  }
}
